# INSTALLSIEVE

NAME
SYNOPSIS
DESCRIPTION
OPTIONS

*

## NAME

installsieve − user utility for managing sieve scripts

## SYNOPSIS

installsieve

## DESCRIPTION

installsieve is a utility that allows users to manage their sieve scripts kept on the server.

## OPTIONS

-v <name> View script with the given name. The script if retrieved sucessfully is output to standard output.

-l List all of the scripts currently on the server. If one of the scripts is active a arrow is printed indicating that it is the active script.

-p <port> Port to connect to. If left off this defaults to "sieve" as defined in /etc/services.

-i <file> Install a file onto the server. If a script with the same name already exists on the server it is overwritten. Upon sucessfully putting the script on the server the script is set active. If <file> has the extension .script it is chopped when put on the server since sieve names may not contain a ’.’.

-a <name> Set <name> as the active script. The list of available names can be obtained from the ’-l’ option..

-d <name> Delete the sieve script on the server with <name>.

-m <mechanism> Force installsieve to use <mechanism> for authentication. If not specified the strongest authentication mechanism is chosen.

-g <name> Get the sieve script with <name> and save it to disk with a ".script" extension. If a file with that name already exists it is overwritten.

-u <user> Userid/Authname to use for authentication; by default, the current user.